Package waffle.windows.auth

## Interface IWindowsDomain

All Known Implementing Classes:
  `WindowsDomainImpl`

    public interface IWindowsDomain

A Windows Domain.

Author:
  dblock[at]dblock[dot]org

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getFqn()` Fully qualified domain name.
`String` `getTrustDirectionString()` Trust direction.
`String` `getTrustTypeString()` Trust type.

### Method Detail

#### getFqn

    String getFqn()

Fully qualified domain name.

Returns:
  String.

#### getTrustDirectionString

    String getTrustDirectionString()

Trust direction.

Returns:
  String.

#### getTrustTypeString

    String getTrustTypeString()

Trust type.

Returns:
  String.